summaryrefslogtreecommitdiff
blob: 5d8e8b51a42588f8ed12070aba8e4020d5fde544 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE glsa SYSTEM "http://www.gentoo.org/dtd/glsa.dtd">
<glsa id="200710-14">
  <title>DenyHosts: Denial of Service</title>
  <synopsis>
    DenyHosts does not correctly parse log entries, potentially causing a
    remote Denial of Service.
  </synopsis>
  <product type="ebuild">denyhosts</product>
  <announced>2007-10-13</announced>
  <revised>2007-10-13: 01</revised>
  <bug>181213</bug>
  <access>remote</access>
  <affected>
    <package name="app-admin/denyhosts" auto="yes" arch="*">
      <unaffected range="ge">2.6-r1</unaffected>
      <vulnerable range="lt">2.6-r1</vulnerable>
    </package>
  </affected>
  <background>
    <p>
    DenyHosts is designed to monitor SSH servers for repeated failed login
    attempts.
    </p>
  </background>
  <description>
    <p>
    Daniel B. Cid discovered that DenyHosts used an incomplete regular
    expression to parse failed login attempts, a different issue than GLSA
    200701-01.
    </p>
  </description>
  <impact type="normal">
    <p>
    A remote unauthenticated attacker can add arbitrary hosts into the
    blacklist, including the "all" keyword, by submitting specially crafted
    version identification strings to the SSH server banner. An attacker
    may use this to prevent legitimate users from accessing a host
    remotely.
    </p>
  </impact>
  <workaround>
    <p>
    There is no known workaround at this time.
    </p>
  </workaround>
  <resolution>
    <p>
    All DenyHosts users should upgrade to the latest version:
    </p>
    <code>
    # emerge --sync
    # emerge --ask --oneshot --verbose "&gt;=app-admin/denyhosts-2.6-r1"</code>
  </resolution>
  <references>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4323">CVE-2007-4323</uri>
  </references>
  <metadata tag="requester" timestamp="2007-10-06T13:32:04Z">
    p-y
  </metadata>
  <metadata tag="bugReady" timestamp="2007-10-06T13:32:42Z">
    p-y
  </metadata>
  <metadata tag="submitter" timestamp="2007-10-07T22:16:56Z">
    falco
  </metadata>
</glsa>